Skip to main content
GET
/
v2
/
users
/
{userId}
/
kyc
/
status
Retrieve KYC status
curl --request GET \
  --url https://production.hifibridge.com/v2/users/{userId}/kyc/status \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://production.hifibridge.com/v2/users/{userId}/kyc/status"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://production.hifibridge.com/v2/users/{userId}/kyc/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "INACTIVE",
  "message": "The rail is not active."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user

Query Parameters

rails
enum<string>

The type of rail.

Available options:
USD,
SOUTH_AMERICA_STANDARD,
AFRICA_GENERAL,
AFRICA_NIGERIA,
GLOBAL_NETWORK,
USD_FIAT

Response

Success

status
enum<string>
required

Kyc Status

  • INACTIVE: No KYC submission has been made.
  • CREATED: KYC application has been submitted.
  • PENDING: Review in progress.
  • RFI_PENDING: An RFI (Request for Information) email has been sent and is pending user response.
  • INCOMPLETE: RFI or resubmission required.
  • ACTIVE: User approved and onboarded.
  • REJECTED: KYC application rejected.
  • CONTACT_SUPPORT: Unexpected issue encountered during KYC review.
Available options:
INACTIVE,
CREATED,
PENDING,
INCOMPLETE,
RFI_PENDING,
ACTIVE,
REJECTED,
CONTACT_SUPPORT
message
string
required
reviewResult
Review Result · object
required
details
Review Details Individual · object
required